<?php

// Este é o ficheiro responsável pela escrita das medidas de eficiência 
// para o provador GCLCprover + euk2gclc


// é igual ao ficheiro referente ao GCLCprover, isto dado que isto
// já está a montante da conversão.


// Tem de produzir um número completo de linhas de uma tabela com 
// 6 colunas por linha

// É chamado por "seedetailsProof.php"


// obtêm os dados sobre as Medidas de eficiência

$sqlProofMeasures = "SELECT elimSteps,geoSteps,algSteps,timeCPU,
                            computerSpecs
                       FROM measures
                      WHERE measuresId='$argumento'";
   
$resultadoProofMeasures = mysql_query($sqlProofMeasures,$ligacao);


$linhaProofMeasures = mysql_fetch_assoc($resultadoProofMeasures);

$vElimSteps     = trim($linhaProofMeasures['elimSteps']);
$vGeoSteps      = trim($linhaProofMeasures['geoSteps']);
$vAlgSteps      = trim($linhaProofMeasures['algSteps']);
$vTimeCPU       = trim($linhaProofMeasures['timeCPU']);
$vComputerSpecs = trim($linhaProofMeasures['computerSpecs']);

echo "</tr>";
echo "<td width='100%' colspan='6' align='center'><span class='subtitulo'>Measures of efficiency</span></td>";
echo "</tr>";
echo "<tr>";
$totalSteps = $vElimSteps+$vGeoSteps+$vAlgSteps;
echo "<td width='33.3%' colspan='2'><span class='ficha'>Elimination Steps</span></td>";
echo "<td width='16.6%' colspan='1'>$vElimSteps</td>";
echo "<td width='33.3%' colspan='2'><span class='ficha'>Geometric Steps</span></td>";
echo "<td width='16.6%' colspan='1'>$vGeoSteps</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='33.3%' colspan='2'><span class='ficha'>Algebraic Steps</span></td>";
echo "<td width='16.6%' colspan='1'>$vAlgSteps</td>";
echo "<td width='33.3%' colspan='2'><span class='ficha'>Total Steps</span></td>";
echo "<td width='16.6%' colspan='1'>$totalSteps</td>";
echo "</tr>";
echo "<tr>";
echo "<td width='33.3%' colspan='2'><span class='ficha'>Time spent (seconds)</span></td>";
echo "<td width='16.6%' colspan='1' align='left'>$vTimeCPU</td>";
echo "<td width='49.9%' colspan='3' align='left'>$vComputerSpecs </td>";
echo "</tr>";

?>